Loading...
Searching...
No Matches
dataset.h File Reference
`#include <BALL/DATATYPE/string.h>`
`#include <BALL/DATATYPE/hashMap.h>`
`#include <BALL/DATATYPE/hashSet.h>`
`#include <BALL/CONCEPT/embeddable.h>`
`#include <BALL/VIEW/KERNEL/UIOperationMode.h>`
`#include <QtWidgets/QMenu>`
`#include <QtWidgets/QTreeWidgetItem>`

Go to the source code of this file.

## Classes

class | BALL::VIEW::Dataset
class | BALL::VIEW::DatasetController

## Namespaces

namespace | BALL
namespace | BALL::VIEW

## Macros

#define | BALL_CREATE_DATASET(TYPE)

## Macro Definition Documentation

## BALL_CREATE_DATASET

#define BALL_CREATE_DATASET | ( |  | TYPE | ) |

Value:
class BALL_VIEW_EXPORT TYPE##Dataset\
: public Dataset\
{\
public :\
\
TYPE##Dataset(TYPE* data = 0)\
: Dataset(),\
data_(data)\
{}\
\
TYPE##Dataset(const TYPE##Dataset& set)\
: Dataset(set),\
data_(set.data_)\
{}\
\
TYPE* getData() { return data_;}\
\
void setData(TYPE* data) { data_ = data;}\
\
TYPE* data_;\
};
BALL_VIEW_EXPORT
#define BALL_VIEW_EXPORT
Definition COMMON/global.h:52

Macro to create derived Dataset classes

Definition at line 131 of file dataset.h.